/* Copyright (c) 2009 Peter Troshin
 *  
 *  Jalview Web Services @version: 2.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.runner._impl;

import java.util.Arrays;
import java.util.List;

import compbio.runner._SkeletalCommandBuilder;

/*
 @see 
 RONN does not accept stdin the file name must be defined as parameter
 It accepts only clear sequence, no FASTA header! 
 It can only analyse ONE sequence per run! (or may be not, but the results gets overriden!)

 */
public class Mcl extends _SkeletalCommandBuilder {

	private static final String command = "/homes/pvtroshin/soft/MclRunner.sh";
	// -q bigmem.q -l qname=bigmem.q,ram=8000M,h_vmem=8000M
	private static final String nativeSpec = " -q 64bit.q -l qname=64bit.q -l h_vmem=8000M -l ram=8000M";
	// Read from stdin and write to stdout
	private static final List<String> params = Arrays
			.asList(new String[] { "" }); // "-","--abc", "-o -"

	private final String workDirectory;

	public Mcl(String workDirectory) {
		this.workDirectory = workDirectory;
	}

	public static List<String> getTestParams() {
		return params;
	}

	public String getCommand(ExecProvider provider) {
		return command;
	}

	public static String getTestCommand() {
		return command;
	}

	public String getCommandName() {
		return "MCL";
	}

	@Override
	public List<String> getCreatedFiles() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public String getInput() {
		// TODO Auto-generated method stub
		return null;
	}

}
