/* Copyright (c) 2009 Peter Troshin
 *  
 *  Jalview Web Services @version: 2.0     
 * 
 *  This library is free software; you can redistribute it and/or modify it under the terms of the
 *  Apache License version 2 as published by the Apache Software Foundation
 * 
 *  This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the Apache 
 *  License for more details.
 * 
 *  A copy of the license is in apache_license.txt. It is also available here:
 * @see: http://www.apache.org/licenses/LICENSE-2.0.txt
 * 
 * Any republication or derived work distributed in source code form
 * must include this copyright and license notice.
 */
package compbio.runner._impl;

import static compbio.runner._impl.BlastParameters.parAlView;
import static compbio.runner._impl.BlastParameters.parDatabase;

import java.util.Arrays;
import java.util.List;

import compbio.runner._SkeletalCommandBuilder;

public class RPSBlast extends _SkeletalCommandBuilder {

	enum DB {
		Pfam, Cdd, Cog, Smart, Kog, Tirg
	}

	private static final String command = Environment.getBlastBinDir()
			+ getCommandName();

	private final String workDirectory;

	public RPSBlast(String workDirectory) {
		this.workDirectory = workDirectory;
	}

	// my $blast =
	// "$blast_dir/rpsblast -i $input -d $dblocat/$dbnam -m 9 -a 1 -o $output_dir/$outfile.rpsblastout";
	// Could be static, but interface declaration requires to be overriden
	public String getCommand(ExecProvider provider) {
		return command;
	}

	public static String getTestCommand() {
		return command;
	}

	public static String getCommandName() {
		return "rpsblast";
	}

	static List<String> getTestArgs() {
		return Arrays.asList(new String[] {
				parDatabase + Environment.getRPSBlastDatabasesDir() + DB.Smart,
				parAlView });
	}

	String getDefaultEvalue() {
		return "1e-6";
	}

	@Override
	public List<String> getCreatedFiles() {
		// TODO Auto-generated method stub
		return null;
	}

	@Override
	public String getInput() {
		// TODO Auto-generated method stub
		return null;
	}

}
